class PlayerGame extends Engine.GameBase
{
    constructor(rootDrawable)
    {
        super(rootDrawable);
        
        this.gameScreen = new SignupScreen(this, this.screenController);

        this.network = new NetworkGameManager();
        Game.Network = this.network;
        
        this.gameScreen.show();
    }

    resolutionChanged(width, height)
    {
        this.gameScreen.resolutionChanged(width, height);
    }

    update(timeElapsed)
    {
        super.update(timeElapsed);
    }

}
